Overview | Package | Class | Use | Tree | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.lucene.search
Interface FuzzyTermsEnum.LevenshteinAutomataAttribute

All Superinterfaces:
  Attribute

All Known Implementing Classes:
  FuzzyTermsEnum.LevenshteinAutomataAttributeImpl

Enclosing class:
  FuzzyTermsEnum

    public static interface FuzzyTermsEnum.LevenshteinAutomataAttribute

extends Attribute

reuses compiled automata across different segments, because they are independent of the index

NOTE: This API is for internal purposes only and might change in incompatible ways in the next release.

Method Summary
`List<CompiledAutomaton>` | `automata()`

Method Detail

### automata

    List<CompiledAutomaton> automata()

Overview | Package | Class | Use | Tree | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2013 Apache Software Foundation. All Rights Reserved.